ru.bitel.bgbilling.kernel.contract.label.common.bean

## Class ContractLabelItem

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.label.common.bean.ContractLabelItem

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, TreeNode<ContractLabelItem>

      public class ContractLabelItem
      extends IdTitle
      implements TreeNode<ContractLabelItem>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLabelItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(ContractLabelItem child)`
    `java.util.List<ContractLabelItem>` | `getChildren()`
    `ContractLabelType` | `getContractLabelType()`
    `int` | `getContractLinkCount()`
    `int` | `getParentId()`
    `boolean` | `isEmpty()`
    `boolean` | `isSelected()`
    `void` | `removeChild(ContractLabelItem child)`
    `void` | `setChildren(java.util.List<ContractLabelItem> children)`
    `void` | `setContractLabelType(ContractLabelType contractLabelType)`
    `void` | `setContractLinkCount(int contractLinkCount)`
    `void` | `setParentId(int parentId)`
    `void` | `setSelected(boolean selected)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ContractLabelItem

          public ContractLabelItem()

  - ### Method Detail

    - #### getParentId

          public int getParentId()

    - #### removeChild

          public void removeChild(ContractLabelItem child)

    - #### isEmpty

          public boolean isEmpty()

    - #### addChild

          public void addChild(ContractLabelItem child)

    - #### setChildren

          public void setChildren(java.util.List<ContractLabelItem> children)

    - #### setParentId

          public void setParentId(int parentId)

    - #### getContractLinkCount

          public int getContractLinkCount()

    - #### setContractLinkCount

          public void setContractLinkCount(int contractLinkCount)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### getContractLabelType

          public ContractLabelType getContractLabelType()

    - #### setContractLabelType

          public void setContractLabelType(ContractLabelType contractLabelType)

    - #### getChildren

          public java.util.List<ContractLabelItem> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<ContractLabelItem>`